# Uses of Class
org.eclipse.gef.mvc.fx.parts.IBendableContentPart.BendPoint

Packages that use IBendableContentPart.BendPoint
Package
Description
org.eclipse.gef.mvc.fx.operations
This package contains all `IUndoableOperation` implementations contributed by MVC.FX.
org.eclipse.gef.mvc.fx.parts
This package contains all JavaFX-specific `IContentPart`, `IVisualPart`, `IFeedbackPart`, and `IHandlePart` implementations and related classes.
org.eclipse.gef.mvc.fx.policies
This package contains all `IPolicy` implementations contributed by MVC.FX.

## Uses of IBendableContentPart.BendPoint in org.eclipse.gef.mvc.fx.operations

Methods in org.eclipse.gef.mvc.fx.operations that return types with arguments of type IBendableContentPart.BendPoint
Modifier and Type
Method
Description
`List<IBendableContentPart.BendPoint>`
BendVisualOperation.`getFinalBendPoints()`
`List<IBendableContentPart.BendPoint>`
BendVisualOperation.`getInitialBendPoints()`
Method parameters in org.eclipse.gef.mvc.fx.operations with type arguments of type IBendableContentPart.BendPoint
Modifier and Type
Method
Description
`void`
BendVisualOperation.`setFinalBendPoints(List<IBendableContentPart.BendPoint> finalBendPoints)`
Constructor parameters in org.eclipse.gef.mvc.fx.operations with type arguments of type IBendableContentPart.BendPoint
Modifier
Constructor
Description
``
`BendContentOperation(IBendableContentPart<? extends Node> bendableContentPart, List<IBendableContentPart.BendPoint> initialBendPoints, List<IBendableContentPart.BendPoint> finalBendPoints)`
Creates a new `BendContentOperation` to resize the content of the given `IResizableContentPart`.

## Uses of IBendableContentPart.BendPoint in org.eclipse.gef.mvc.fx.parts

Methods in org.eclipse.gef.mvc.fx.parts that return types with arguments of type IBendableContentPart.BendPoint
Modifier and Type
Method
Description
`List<IBendableContentPart.BendPoint>`
IBendableContentPart.`getContentBendPoints()`
Returns the current `IBendableContentPart.BendPoint`s of this `IBendableContentPart`'s content.
`default List<IBendableContentPart.BendPoint>`
IBendableContentPart.`getVisualBendPoints()`
Returns the current `IBendableContentPart.BendPoint`s of this `IBendableContentPart`'s visual.
Method parameters in org.eclipse.gef.mvc.fx.parts with type arguments of type IBendableContentPart.BendPoint
Modifier and Type
Method
Description
`default String`
IBendableContentPart.`getRole(List<IBendableContentPart.BendPoint> bendPoints, int index)`
Returns the role that is used to determine the `IAnchor` for the `IBendableContentPart.BendPoint` at the given index of the given `List` of `IBendableContentPart.BendPoint`s.
`void`
IBendableContentPart.`setContentBendPoints(List<IBendableContentPart.BendPoint> bendPoints)`
Bends the content element as specified through the given bend points.
`default void`
IBendableContentPart.`setVisualBendPoints(List<IBendableContentPart.BendPoint> bendPoints)`
Bends the visual as specified by the given bend points.

## Uses of IBendableContentPart.BendPoint in org.eclipse.gef.mvc.fx.policies

Methods in org.eclipse.gef.mvc.fx.policies that return types with arguments of type IBendableContentPart.BendPoint
Modifier and Type
Method
Description
`protected List<IBendableContentPart.BendPoint>`
BendConnectionPolicy.`getCurrentBendPoints()`
Returns the current control points of the content.
`protected List<IBendableContentPart.BendPoint>`
BendConnectionPolicy.`getInitialBendPoints()`
Returns the initial bend points before bending the content.